
  clear all; close all;
  y1 = 0; y2 = 0;
  z1 = 0; z2 = 0;
  c1 = 0; c2 = 0;

  mxsctm(1)  = 0; mxsctm(2)  = 0;
  mnsctm(1)  = 0; mnsctm(2)  = 0;
  mxrsctm(1) = 0; mxrsctm(2) = 0;
  mnrsctm(1) = 0; mnrsctm(2) = 0;

  mxscte(1)  = 0; mxscte(2)  = 0;
  mnscte(1)  = 0; mnscte(2)  = 0;
  mxrscte(1) = 0; mxrscte(2) = 0;
  mnrscte(1) = 0; mnrscte(2) = 0;

  mxsctp(1)  = 0; mxsctp(2)  = 0;
  mnsctp(1)  = 0; mnsctp(2)  = 0;
  mxrsctp(1) = 0; mxrsctp(2) = 0;
  mnrsctp(1) = 0; mnrsctp(2) = 0;

  sethsv2;
  filter = '*model*';

  guiwin = figure('Name','CONTROL WINDOW','MenuBar','none','Interruptible','on',...
                  'Units','Normalized','Position',[0. 0.05 0.5 0.3]); 


  rname   = uicontrol(guiwin,'Style','Text','String','RESISTIVITY MODEL (LOG10)', ...
                    'Units','Normalized','Position',[0.05 0.9 0.40 0.08]);
  hord = uicontrol(guiwin,'Style','Pushbutton','String','Horizontal Distance',...
                  'Units','Normalized','Position',[0.05 0.8  0.26 0.08], ...
                  'Tag','HorDef','CallBack','guicallback','Enable','off');
  hor2 = uicontrol(guiwin,'Style','Text','String','From',...
                  'Units','Normalized','Position',[0.31 0.79  0.08 0.08]);
  horl = uicontrol(guiwin,'Style','Edit','String',num2str(y1), ...
                  'Units','Normalized','Position',[0.40  0.8  0.15 0.08], ...
                  'Tag','HorLeft','CallBack','guicallback', ...
                  'Enable','off','HorizontalAlignment','right');
  hor4 = uicontrol(guiwin,'Style','Text','String','To', ...
                  'Units','Normalized','Position',[0.57 0.79  0.08 0.08]);
  horr = uicontrol(guiwin,'Style','Edit','String',num2str(y2), ...
                  'Units','Normalized','Position',[0.66  0.8  0.15 0.08], ...
                  'Tag','HorRight','CallBack','guicallback', ...
                  'Enable','off','HorizontalAlignment','right');
  hor6 = uicontrol(guiwin,'Style','Text','String','m.', ...
                  'Units','Normalized','Position',[0.82 0.79  0.05 0.08]);
                
                  
  verd = uicontrol(guiwin,'Style','Pushbutton','String','Depth',...
                  'Units','Normalized','Position',[0.05 0.7  0.26 0.08], ...
                  'Tag','VerDef','CallBack','guicallback','Enable','off');
  ver2 = uicontrol(guiwin,'Style','Text','String','From',...
                  'Units','Normalized','Position',[0.31 0.69  0.08 0.08]);
  verl = uicontrol(guiwin,'Style','Edit','String',num2str(z2), ...
                  'Units','Normalized','Position',[0.40  0.7  0.15 0.08], ...
                  'Tag','VerLeft','CallBack','guicallback', ...
                  'Enable','off','HorizontalAlignment','right');
  ver4 = uicontrol(guiwin,'Style','Text','String','To', ...
                  'Units','Normalized','Position',[0.57 0.69  0.08 0.08]);
  verr = uicontrol(guiwin,'Style','Edit','String',num2str(z1), ...
                  'Units','Normalized','Position',[0.66  0.7  0.15 0.08], ...
                  'Tag','VerRight','CallBack','guicallback', ...
                  'Enable','off','HorizontalAlignment','right');
  ver6 = uicontrol(guiwin,'Style','Text','String','m.', ...
                  'Units','Normalized','Position',[0.82 0.69  0.05 0.08]);

  cold = uicontrol(guiwin,'Style','Pushbutton','String','Color Bar',...
                  'Units','Normalized','Position',[0.05 0.6  0.26 0.08], ...
                  'Tag','ColDef','CallBack','guicallback','Enable','off');
  col2 = uicontrol(guiwin,'Style','Text','String','Min',...
                  'Units','Normalized','Position',[0.31 0.59  0.08 0.08]);
  coll = uicontrol(guiwin,'Style','Edit','String',num2str(c1), ...
                  'Units','Normalized','Position',[0.40  0.6  0.15 0.08], ...
                  'Tag','ColMin','CallBack','guicallback', ...
                  'Enable','off','HorizontalAlignment','right');
  col4 = uicontrol(guiwin,'Style','Text','String','Max', ...
                  'Units','Normalized','Position',[0.57 0.59  0.08 0.08]);
  colr = uicontrol(guiwin,'Style','Edit','String',num2str(c2), ...
                  'Units','Normalized','Position',[0.66  0.6  0.15 0.08], ...
                  'Tag','ColMax','CallBack','guicallback', ...
                  'Enable','off','HorizontalAlignment','right');

  exitbutt = uicontrol(guiwin,'Style','Pushbutton','String','QUIT',...
                  'Units','Normalized','Position',[0.88 0.05  0.1 0.08], ...
                  'Tag','ExitTag','CallBack','guicallback','Enable','on');
  plotbutt = uicontrol(guiwin,'Style','Pushbutton','String','PLOT',...
                  'Units','Normalized','Position',[0.78  0.05  0.1 0.08], ...
                  'Tag','PlotTag','CallBack','guicallback','Enable','on');

  fname1 = uicontrol(guiwin,'Style','Text','String','Filename', ...
                    'Units','Normalized','Position',[0.05 0.15  0.16 0.08]);
  fname2 = uicontrol(guiwin,'Style','Text','String','', ...
                    'Units','Normalized','Position',[0.22 0.15  0.70 0.08]);
  ovrms1 = uicontrol(guiwin,'Style','Text','String','Overall RMS', ...
                    'Units','Normalized','Position',[0.05 0.06  0.16 0.08]);
  ovrms2 = uicontrol(guiwin,'Style','Text','String','',...
                    'Units','Normalized','Position',[0.22 0.06  0.20 0.08]);
  

  ifg = 1;
