

editTask = get(gcbo,'Tag');

switch editTask

  case 'HorLeft'
    vin = str2num(get(horl,'String'));
    if (length(vin) == 0), set(horl,'String',num2str(y1)); 
    else
      if (vin ~= y1) & (vin < y2),  
         y1 = vin;  
         if (y1 < min(YDIS)), y1 = 0.; end;
         if (fkm == 0); set(modelax,'XLim',[y1 y2]);   
         else set(modelax,'XLim',[y1/1000. y2/1000.]);  end;
      end 
      set(horl,'String',num2str(y1)); 
    end

  case 'HorRight'
    vin = str2num(get(horr,'String'));
    if (length(vin) == 0), set(horr,'String',num2str(y2)); 
    else
      if (vin ~= y2) & (vin > y1),  
         y2 = vin;  
         if (y2 > max(YDIS)), y2 = max(YDIS); end;
         if (fkm == 0); set(modelax,'XLim',[y1 y2]);   
         else set(modelax,'XLim',[y1/1000. y2/1000.]);  end;
      end 
      set(horr,'String',num2str(y2)); 
    end

  case 'HorDef'
     y1 = y1def; y2 = y2def;
     if (fkm == 0); set(modelax,'XLim',[y1 y2]);   
     else set(modelax,'XLim',[y1/1000. y2/1000.]);  end;
     set(horl,'String',num2str(y1)); 
     set(horr,'String',num2str(y2)); 

  case 'VerLeft'
    vin = str2num(get(verl,'String'));
    if (length(vin) == 0), set(verl,'String',num2str(z2)); 
    else
      if (vin ~= z2) & (vin < z1),  
         z2 = vin;  
         if (z2 < min(ZDIS)), z2 = min(ZDIS); end;
         if (fkm == 0); set(modelax,'YLim',[-z1 -z2]);   
         else set(modelax,'YLim',[-z1/1000. -z2/1000.]);  end;
      end 
      set(verl,'String',num2str(z2)); 
    end

  case 'VerRight'
    vin = str2num(get(verr,'String'));
    if (length(vin) == 0), set(verr,'String',num2str(z1)); 
    else
      if (vin ~= z1) & (vin > z2),  
         z1 = vin;  
         if (z1 > max(ZDIS)), z1 = max(ZDIS); end;
         if (fkm == 0); set(modelax,'YLim',[-z1 -z2]);   
         else set(modelax,'YLim',[-z1/1000. -z2/1000.]);  end;
      end 
      set(verr,'String',num2str(z1)); 
    end

  case 'VerDef'
     z1 = z1def; z2 = z2def;
     if (fkm == 0); set(modelax,'YLim',[-z1 -z2]);   
     else set(modelax,'YLim',[-z1/1000. -z2/1000.]);  end;
     set(verl,'String',num2str(z2)); 
     set(verr,'String',num2str(z1)); 

  case 'ColMin'
    vin = str2num(get(coll,'String'));
    if (length(vin) == 0), set(coll,'String',num2str(c1)); 
    else
      if (vin ~= c1) & (vin < c2),  
         c1 = vin;  set(modelax,'CLim',[c1 c2]);   
         figure(2); clear modelcb; modelcb = colorbar; end;
      set(coll,'String',num2str(c1)); 
    end

  case 'ColMax'
    vin = str2num(get(colr,'String'));
    if (length(vin) == 0), set(colr,'String',num2str(c2)); 
    else
      if (vin ~= c2) & (vin > c1),  
         c2 = vin;  set(modelax,'CLim',[c1 c2]);   
         figure(2); clear modelcb; modelcb = colorbar; end;
      set(colr,'String',num2str(c2)); 
    end

  case 'ColDef'
     c1 = c1def; c2 = c2def;
     set(modelax,'CLim',[c1 c2]);   
     figure(2); clear modelcb; modelcb = colorbar;
     set(coll,'String',num2str(c1)); 
     set(colr,'String',num2str(c2)); 

  case 'PlotTag'
     [cfile,cdir] = uigetfile(filter,'Please enter model file name:');
     if (cfile ~= 0),
       for j = 2:ifg-1, close(j); end;
       rebocc_gui;
       set(hord,'Enable','on');    set(horl,'Enable','on');    set(horr,'Enable','on');    
       set(horl,'String',num2str(y1)); set(horr,'String',num2str(y2)); 
       set(verd,'Enable','on');    set(verl,'Enable','on');    set(verr,'Enable','on');    
       set(verl,'String',num2str(z2)); set(verr,'String',num2str(z1)); 
       set(cold,'Enable','on');    set(coll,'Enable','on');    set(colr,'Enable','on');    
       set(coll,'String',num2str(c1)); set(colr,'String',num2str(c2)); 
   
       set(fname2,'String',cmd(length(cmd)-50:length(cmd)));
       set(ovrms2,'String',num2str(RMS));
     end

  case 'ExitTag'
     clear all; close all;

  otherwise
end
