
  function [] = plotresp(ifg,mdtp,nres,nper,period,nsta,staloc,restyp,calres,obsres,hsv2)

  figure(ifg); clf;
  if (mdtp == 1), set(gcf,'Name','OBSERVED AND CALCULATED RESPONSE : TM'); end;
  if (mdtp == 2), set(gcf,'Name','OBSERVED AND CALCULATED RESPONSE : TE'); end;
  if (mdtp == 3), set(gcf,'Name','OBSERVED AND CALCULATED RESPONSE : TP'); end;
  colormap(hsv2);

% nptk = round(nper/6); 
% ytk  = [1:nptk:nper]; 
% ytl  = sprintf('%8.3f',period(1));
% for ipp = nptk+1:nptk:nper
%   ytl  = [ytl;  sprintf('%8.3f',period(ipp))];
% end;
% ytk  = ytk+0.5;

  nptk = round(nper/6);
  ytk  = [nper:-nptk:1];
  ytl  = sprintf('%8.3f',period(nper));
  for ipp = nper-nptk:-nptk:1
    ytl  = [ytl;  sprintf('%8.3f',period(ipp))]; 
  end;   
  ytk = [1:nptk:nper]+0.5; 


  for ir = 1:nres
    if (restyp(ir) == 3)
      subplot(2,2,ir);
      mx1 = max(max(obsres(1:nsta,1:nper,ir)));
      mn1 = min(min(obsres(1:nsta,1:nper,ir)));
      rtmp = obsres(1:nsta,1:nper,ir);
      rtmp(nsta+1,1:nper) = rtmp(nsta,1:nper);
      rtmp(1:nsta+1,nper+1) = rtmp(1:nsta+1,nper);
      pcolor(1:nsta+1,nper+1:-1:1,rtmp'); shading flat;
      caxis([mn1 mx1]); colorbar('vert');
      set(gca,'TickDirMode','manual','TickDir','out');
      if (ir ~= 2)
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel',ytl);
      else
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel','');
      end
      ylabel('Period (s)'); 
      title('Observed log10 \rho_{a}');   
      subplot(2,2,ir+2);
      rtmp = calres(1:nsta,1:nper,ir);
      rtmp(nsta+1,1:nper) = rtmp(nsta,1:nper);
      rtmp(1:nsta+1,nper+1) = rtmp(1:nsta+1,nper);
      pcolor(1:nsta+1,nper+1:-1:1,rtmp'); shading flat;
      caxis([mn1 mx1]); colorbar('vert');
      set(gca,'TickDirMode','manual','TickDir','out');
      if (ir ~= 2)
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel',ytl);
      else
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel','');
      end
      ylabel('Period (s)'); 
      title('Calculated log10 \rho_{a}'); xlabel('Stations No.');
    end
    if (restyp(ir) == 1)
      subplot(2,2,ir);
      mx1 = max(max(log10(obsres(1:nsta,1:nper,ir))));
      mn1 = min(min(log10(obsres(1:nsta,1:nper,ir))));
      rtmp = obsres(1:nsta,1:nper,ir);
      rtmp(nsta+1,1:nper) = rtmp(nsta,1:nper);
      rtmp(1:nsta+1,nper+1) = rtmp(1:nsta+1,nper);
      pcolor(1:nsta+1,nper+1:-1:1,rtmp'); shading flat;
      caxis([mn1 mx1]); colorbar('vert');
      set(gca,'TickDirMode','manual','TickDir','out');
      if (ir ~= 2)
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel',ytl);
      else
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel','');
      end
      ylabel('Period (s)'); 
      title('Observed log10 \rho_{a}');   
      subplot(2,2,ir+2);
      rtmp = calres(1:nsta,1:nper,ir);
      rtmp(nsta+1,1:nper) = rtmp(nsta,1:nper);
      rtmp(1:nsta+1,nper+1) = rtmp(1:nsta+1,nper);
      pcolor(1:nsta+1,nper+1:-1:1,rtmp'); shading flat;
      caxis([mn1 mx1]); colorbar('vert');
      set(gca,'TickDirMode','manual','TickDir','out');
      if (ir ~= 2)
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel',ytl);
      else
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel','');
      end
      ylabel('Period (s)'); 
      title('Calculated log10 \rho_{a}'); xlabel('Stations No.');
    end
   
    if (restyp(ir) == 2)
      subplot(2,2,ir); 
      mx2 = max(max(obsres(1:nsta,1:nper,ir)));
      mn2 = min(min(obsres(1:nsta,1:nper,ir)));
      rtmp = -obsres(1:nsta,1:nper,ir);
      rtmp(nsta+1,1:nper) = rtmp(nsta,1:nper);
      rtmp(1:nsta+1,nper+1) = rtmp(1:nsta+1,nper);
      pcolor(1:nsta+1,nper+1:-1:1,rtmp'); shading flat;
      caxis([-mx2 -mn2]); cb = colorbar('vert');
      set(gca,'TickDirMode','manual','TickDir','out');
      if (ir ~= 2)
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel',ytl);
      else
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel','');
      end
      ylabel('Period (s)'); 
      cbtk = get(cb,'YTick'); 
      cbtl = sprintf('%5.1f',abs(cbtk(1)));
      for ic = 2:length(cbtk) 
        cbtl  = [cbtl;  sprintf('%5.1f',abs(cbtk(ic)))];
      end;
      set(cb,'YTickLabelMode','manual','YTickLabel',cbtl);
      title('Observed \phi_{a}');   
      subplot(2,2,ir+2); 
      rtmp = -calres(1:nsta,1:nper,ir);
      rtmp(nsta+1,1:nper) = rtmp(nsta,1:nper);
      rtmp(1:nsta+1,nper+1) = rtmp(1:nsta+1,nper);
      pcolor(1:nsta+1,nper+1:-1:1,rtmp'); shading flat;
      caxis([-mx2 -mn2]); cb = colorbar('vert');
      set(gca,'TickDirMode','manual','TickDir','out');
      if (ir ~= 2)
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel',ytl);
      else
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel','');
      end
      ylabel('Period (s)'); 
      cbtk = get(cb,'YTick'); 
      cbtl = sprintf('%5.1f',abs(cbtk(1)));
      for ic = 2:length(cbtk) 
        cbtl  = [cbtl;  sprintf('%5.1f',abs(cbtk(ic)))];
      end;
      set(cb,'YTickLabelMode','manual','YTickLabel',cbtl);
      title('Calculated \phi_{a}'); xlabel('Stations No.');
    end

    if (restyp(ir) == 5) | (restyp(ir) == 6)
      subplot(2,2,ir); 
      mx2 = max(max(obsres(1:nsta,1:nper,ir)));
      mn2 = min(min(obsres(1:nsta,1:nper,ir)));
      rtmp = obsres(1:nsta,1:nper,ir);
      rtmp(nsta+1,1:nper) = rtmp(nsta,1:nper);
      rtmp(1:nsta+1,nper+1) = rtmp(1:nsta+1,nper);
      pcolor(1:nsta+1,nper+1:-1:1,rtmp'); shading flat;
      set(gca,'TickDirMode','manual','TickDir','out');
      if (ir ~= 2)
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel',ytl);
      else
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel','');
      end
      ylabel('Period (s)'); 
      caxis([-mx2 -mn2]); colorbar('vert');
      if (restyp(ir) == 5), title('Observed \Re(TP) ');  end;
      if (restyp(ir) == 6), title('Observed \Im(TP) ');  end;
      subplot(2,2,ir+2); 
      rtmp = calres(1:nsta,1:nper,ir);
      rtmp(nsta+1,1:nper) = rtmp(nsta,1:nper);
      rtmp(1:nsta+1,nper+1) = rtmp(1:nsta+1,nper);
      pcolor(1:nsta+1,nper+1:-1:1,rtmp'); shading flat;
      set(gca,'TickDirMode','manual','TickDir','out');
      if (ir ~= 2)
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel',ytl);
      else
        set(gca,'YTickMode','manual','YTick',ytk);
        set(gca,'YTickLabelMode','manual','YTickLabel','');
      end
      ylabel('Period (s)'); 
      caxis([-mx2 -mn2]); colorbar('vert');
      if (restyp(ir) == 5), title('Calculated \Re(TP) ');  end;
      if (restyp(ir) == 6), title('Calculated \Im(TP) ');  end;
      xlabel('Stations No.');
    end

  end

  return
