
    function [NY,NZB,RHO,YDIS,ZDIS,ctitle] = readmodel(cmd) 

    fid = fopen(cmd,'r');
    ctitle = fgets(fid); 
    ctmp   = fgets(fid);  ltmp = length(ctmp);
    NY     = str2num(ctmp(4:ltmp)); 
    DY     = fscanf(fid,'%f',NY);
    ctmp   = fgets(fid);  
    ctmp   = fgets(fid);  ltmp = length(ctmp);
    NZB    = str2num(ctmp(4:ltmp)); 
    DZB    = fscanf(fid,'%f',NZB);
    ctmp   = fgets(fid);  
    ctmp   = fgets(fid);  ltmp = length(ctmp);
    NZA    = str2num(ctmp(4:ltmp)); 
    DZA    = fscanf(fid,'%f',NZA);
    ctmp   = fgets(fid);  ctmp   = fgets(fid);  
    RHOT   = fscanf(fid,'%f',[NY,NZB]);

    RHO(1:NZB,1:NY)   = RHOT';
    RHO(1:NZB,NY+1)   = RHO(1:NZB,NY);
    RHO(NZB+1,1:NY+1) = RHO(NZB,1:NY+1);

%%  cumulative distances from the left hand side of the model
    YDIS(1) = 0.;
    for iy = 2:NY,  YDIS(iy) = YDIS(iy-1) + DY(iy-1);  end;
    YDIS(NY+1) = YDIS(NY) + DY(NY);

%%  cumulative distances from the top to bottom
    ZDIS(1) = 0.;
    for iz = 2:NZB, ZDIS(iz) = ZDIS(iz-1) + DZB(iz-1); end
    ZDIS(NZB+1) = ZDIS(NZB) + DZB(NZB);
 
    fclose(fid);
    return
