

   function [RMS,rmstms,rmstmp,rmstes,rmstep,rmstps,rmstpp] = ...
            readrms(crms,nmode,nrtm,nptm,nstm,nrte,npte,nste,nrtp,nptp,nstp)

   fid = fopen(crms,'r');

   ctemp  = fgets(fid);
   RMS = str2num(ctemp(30:length(ctemp)));

   rmstms = zeros(nstm,2); rmstmp = zeros(nptm,2);
   rmstes = zeros(nste,2); rmstep = zeros(npte,2);
   rmstps = zeros(nstp,2); rmstpp = zeros(nptp,2);
   
   mtm = 0; mte = 0; mtp = 0;
   for im = 1:nmode

     ctemp  = fgets(fid);  ct2 = lower(ctemp);
     if (findstr(ct2,'tm') > 0), mtm = 1; end;
     if (findstr(ct2,'te') > 0), mte = 1; end;
     if (findstr(ct2,'tp') > 0), mtp = 1; end;

     if (mtm == 1),
       for ir = 1:nrtm
         ctemp  = fgets(fid);    
         rmstms(:,ir) = fscanf(fid,'%f',nstm); ctemp  = fgets(fid);   
         ctemp  = fgets(fid);    
         rmstmp(:,ir) = fscanf(fid,'%f',nptm); ctemp  = fgets(fid);   
         if (ir == 1) & (nrtm == 2), ctemp  = fgets(fid); end;   
       end
       mtm = 0;
     end

     if (mte == 1),
       for ir = 1:nrte
         ctemp  = fgets(fid);   
         rmstes(:,ir) = fscanf(fid,'%f',nste); ctemp  = fgets(fid);  
         ctemp  = fgets(fid);   
         rmstep(:,ir) = fscanf(fid,'%f',npte); ctemp  = fgets(fid);  
         if (ir == 1) & (nrte == 2), ctemp  = fgets(fid); end;   
       end
       mte = 0;
     end

     if (mtp == 1),
       for ir = 1:nrtp
         ctemp  = fgets(fid);  
         rmstps(:,ir) = fscanf(fid,'%f',nstp); ctemp  = fgets(fid);  
         ctemp  = fgets(fid);  
         rmstpp(:,ir) = fscanf(fid,'%f',nptp); ctemp  = fgets(fid);  
         if (ir == 1) & (nrtp == 2), ctemp  = fgets(fid); end;   
       end
       mtp = 0;
     end
   end 

   fclose(fid);
   return;
