

%[cfile,cdir] = uigetfile(filter,'Please enter model file name:');

fig = 0; nmode = 0;
mtm = 0; mte = 0; mtp = 0;
restm = 'resp_tm'; reste = 'resp_te'; restp = 'resp_tp';
nstm = 0; nste = 0; nstp = 0;
sltm = 0; slte = 0; sltp = 0;
nrtm = 0; nrte = 0; nrtp = 0;
nptm = 0; npte = 0; nptp = 0;
nstm = 0; nste = 0; nstp = 0;

if (cfile ~= 0) 
  cmd = strcat(cdir,cfile);
  cmdd = cmd(1:length(cmd)-10);
  cit  = cmd(length(cmd)-3:length(cmd));
   
  crestm = strcat(strcat(strcat(cmdd,'_'),restm),cit); 
  fid = fopen(crestm,'r'); if (fid>0), mtm = 1; fclose(fid); end;
  creste = strcat(strcat(strcat(cmdd,'_'),reste),cit); 
  fid = fopen(creste,'r'); if (fid>0), mte = 1; fclose(fid); end;
  crestp = strcat(strcat(strcat(cmdd,'_'),restp),cit); 
  fid = fopen(crestp,'r'); if (fid>0), mtp = 1; fclose(fid); end;
  nmode = mtm + mte + mtp;

  [NY,NZB,RHO,YDIS,ZDIS,ctitle] = readmodel(cmd); 
  if (mtm == 1), 
    [chtm,mttm,nrtm,nptm,pdtm,nstm,sltm,rttm,drtm] = readdata(crestm);
    cobstm = strcat(cmdd,'.data_tm');
    [chtm,mttm,nrtm,nptm,pdtm,nstm,sltm,rttm,obtm] = readdata(cobstm);
    cdixtm = strcat(cmdd,'.dix_tm');
    [dixtm,obtm] = readdix(nrtm,nptm,nstm,cdixtm,obtm);
  end;
  if (mte == 1), 
    [chte,mtte,nrte,npte,pdte,nste,slte,rtte,drte] = readdata(creste);
    cobste = strcat(cmdd,'.data_te');
    [chte,mtte,nrte,npte,pdte,nste,slte,rtte,obte] = readdata(cobste);
    cdixte = strcat(cmdd,'.dix_te');
    [dixte,obte] = readdix(nrte,npte,nste,cdixte,obte);
  end;
  if (mtp == 1), 
    [chtp,mttp,nrtp,nptp,pdtp,nstp,sltp,rttp,drtp] = readdata(crestp);
    cobstp = strcat(cmdd,'.data_tp');
    [chtp,mttp,nrtp,nptp,pdtp,nstp,sltp,rttp,obtp] = readdata(cobstp);
    cdixtp = strcat(cmdd,'.dix_tp');
    [dixtp,obtp] = readdix(nrtp,nptp,nstp,cdixtp,obtp);
  end;

  sl1 = 0; sl2 = 0; 
  if (mtm == 1), sl1 = sltm(1); sl2 = sltm(nstm); end;
  if (mte == 1), 
     if (mtm == 1), sl1 = min(slte(1),sl1); sl2 = max(slte(nste),sl2); 
     else sl1 = slte(1); sl2 = slte(nste); end;
  end;
  if (mtp == 1), 
     if (mtm == 1) | (mte == 1), 
        sl1 = min(sltp(1),sl1); sl2 = max(sltp(nstp),sl2); 
     else sl1 = sltp(1); sl2 = sltp(nstp); end;
  end;
% if (y1 == 0), y1 = sl1; end;         if (y2 == 0), y2 = sl2; end;
% if (z1 == 0), z1 = (sl2-sl1); end;   if (z2 == 0), z2 = 0.;  end;
% if (c1 == 0), c1 = min(log10(RHO(:))); end; 
% if (c2 == 0), c2 = max(log10(RHO(:))); end;
  y1def = sl1; y2def = sl2; 
  z1def = (sl2-sl1); z2def = 0.; 
  c1def = min(log10(RHO(:))); c2def = max(log10(RHO(:))); 
  y1 = y1def; y2 = y2def; z1 = z1def; z2 = z2def; c1 = c1def; c2 = c2def;

  ifg = 2;
  [modelax,fkm,modelcb] = plotmodel(ifg,y1,y2,z1,z2,c1,c2,NY,NZB,YDIS,ZDIS,RHO, ...
            nstm,sltm,nste,slte,nstp,sltp,hsv2);
  ifg = ifg + 1;

  if (mtm == 1), 
     plotresp_residual(ifg,mttm,nrtm,nptm,pdtm,nstm,sltm,rttm,drtm,obtm,...
                       hsv2,mxsctm,mnsctm,mxrsctm,mnrsctm); 
     ifg = ifg + 1; end;
  if (mte == 1), 
     plotresp_residual(ifg,mtte,nrte,npte,pdte,nste,slte,rtte,drte,obte,...
                       hsv2,mxscte,mnscte,mxrscte,mnrscte); 
     ifg = ifg + 1; end;
  if (mtp == 1), 
     plotresp_residual(ifg,mttp,nrtp,nptp,pdtp,nstp,sltp,rttp,drtp,obtp,...
                       hsv2,mxsctp,mnsctp,mxrsctp,mnrsctp); 
     ifg = ifg + 1; end;

  crms = strcat(strcat(strcat(cmdd,'_'),'rms'),cit); 
  [RMS,rmstms,rmstmp,rmstes,rmstep,rmstps,rmstpp] = ...
      readrms(crms,nmode,nrtm,nptm,nstm,nrte,npte,nste,nrtp,nptp,nstp);

  if (mtm == 1),
     plotrms(ifg,mttm,nrtm,rttm,nptm,pdtm,nstm,rmstms,rmstmp); ifg = ifg + 1; end;
  if (mte == 1),
     plotrms(ifg,mtte,nrte,rtte,npte,pdte,nste,rmstes,rmstep); ifg = ifg + 1; end;
  if (mtp == 1),
     plotrms(ifg,mttp,nrtp,rttp,nptp,pdtp,nstp,rmstps,rmstpp); ifg = ifg + 1; end;

else
end

return
